
showurls_d : dialog {
  label = "ZEIGURLS - Zeigt Objekte mit zugeordneten URLs";
  fixed_width=true;
  width=85;
  : list_box {
    key = "lst_hdr";
    tabs="58 72";
    height = 2;
    fixed_height = true;
    tab_truncate = true;
  }
  : list_box {
    multiple_select=true;
    key="url_list";
    tabs="58 72";
    tab_truncate = true;
    is_default=true;
  }
  : row {
    spacer;
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      label= "URL anzeigen";
      mnemonic = "U";
    }
    : button {
      fixed_width=true;
      width=11;
      key="edit";
      label= "Bearbeiten";
      mnemonic = "B";
      is_default = true;
    }
    : button {
      fixed_width=true;
      width=11;
      key="replace";
      label= "Ersetzen";
      mnemonic = "E";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Schlieen";
      mnemonic = "S";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
     spacer;
  } // row
  : text_part {
    key="error";
    label="";
  }
}

churl_d : dialog {
  key = "title";
  label = "URL der gewhlten Elemente bearbeiten";
  initial_focus = "url";
  : edit_box {
    label = "URL:";
    key = "url";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}

repurl_d : dialog {
  key = "title";
  label = "URL Text ersetzen";
  initial_focus = "find";
  : edit_box {
    label = "Suchen:";
    key = "find";
    edit_width = 50;
    edit_limit = 250;
  }
  : edit_box {
    label = "Ersetzen mit:";
    key = "replace";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}

layeroff_d : dialog {
  label = "ZEIGURLS Warnung";
  children_alignment = centered;
  initial_focus = "accept";
  : text { label = "Der aktuelle Layer ist ausgeschaltet!";}
  : text { label = "Er muss eingeschaltet sein, um URLs anzeigen zu knnen!";}
  : text { label = "";}
  : text { label = "Soll der aktuelle Layer temporr eingeschaltet werden?";}
  yes_no_d;
}

yes_button_d : retirement_button {
  label           = "  Ja  ";
  key             = "accept";
  is_default      = true;
}

no_button_d : retirement_button {
  label           = "   Nein  ";
  key             = "cancel";
  is_cancel       = true;
}

yes_no_d : column {
  : row {
    fixed_width = true;
    alignment = centered;
    yes_button_d;
    : spacer { width = 2;}
    no_button_d;
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,

showurls_e : dialog {
label = "SHOWURLS - Show objects with attached URLs";
  fixed_width=true;
  width=85;
  : list_box {
    key = "lst_hdr";
    tabs="58 72";
    height = 2;
    fixed_height = true;
    tab_truncate = true;
  }
  : list_box {
    multiple_select=true;
    key="url_list";
    tabs="58 72";
    tab_truncate = true;
    is_default=true;
  }
  : row {
    spacer;
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      label= "Show URL";
      mnemonic = "S";
    }
    : button {
      fixed_width=true;
      width=11;
      key="edit"; 
      label= "Edit";
      mnemonic = "E";
      is_default = true;
    }
    : button {
      fixed_width=true;
      width=11;
      key="replace";
      label= "Replace";
      mnemonic = "R";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Close";
      mnemonic = "C";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Help";
      is_help=true;
    }
    spacer;
  } // row
  : text_part {
    key="error";
    label="";
  }
}

churl_e : dialog {
  key = "title";
label = "Change URL for All Selected Items";
  initial_focus = "url";
  : edit_box {
    label = "URL:";
    key = "url";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}

repurl_e : dialog {
  key = "title";
  label = "Replace URL text";
  initial_focus = "find";
  : edit_box {
    label = "Find what:";
    key = "find";
    edit_width = 50;
    edit_limit = 250;
  }
  : edit_box {
    label = "Replace with:";
    key = "replace";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}


layeroff_e : dialog {
  label = "SHOWURLS Warning";
  children_alignment = centered;
  initial_focus = "accept";
  : text { label = "The current layer is OFF!";}
  : text { label = "It must be ON to show URLs!";}
  : text { label = "";}
  : text { label = "Turn the current layer ON?";}
  yes_no_e;
}


yes_button_e : retirement_button {
  label           = "  Yes  ";
  key             = "accept";
  is_default      = true;
}

no_button_e : retirement_button {
  label           = "   No  ";
  key             = "cancel";
  is_cancel       = true;
}

yes_no_e : column {
  : row {
    fixed_width = true;
    alignment = centered;
    yes_button_e;
    : spacer { width = 2;}
    no_button_e;
  }
}

//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


cdorder_d : dialog
{
 label = "CDORDER - FARBSORT (Anzeigereihenfolge nach Farbe)";
 : boxed_row {
     : list_box {
       width=14;
       key="color_list";
     }
   : column {
     : image {
       key ="color_image";
       aspect_ratio = 1;
       height = 4;
       width = 7;
       color = -15;
     }
     spacer;
     spacer;
     : button {
        fixed_width=true;
        width=17;
        label= "nach &Oben";
        key="up";
      }
     : button {
        fixed_width=true;
        width=17;
        key="down";
        label= "nach &Unten";
      }
     spacer;
     spacer;
   }
   : column {
     : radio_column {
       label="Neuordnung nach";
       : radio_button {
         label ="Anzeigereihenfolge";
         key="draworder";
       }
       : radio_button {
         label ="ObjektIDs";
         key="handles";
       }
     }
     spacer;
     : radio_column {
       label="Position fr die Anzeigereihenfolge";
       key="location";
       : radio_button {
         label ="Vorn";
         key="front";
       }
       : radio_button {
         label ="Hinten";
         key="back";
       }
     }
     spacer;
     : toggle {
       label="Blcke modifizieren";
       key="blocks";
     }
     spacer;
   }
 } 
 : row
 {
     spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Abbrechen";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Hilfe";
     }
     spacer;
 } 
 : text_part
 {
   key="error";
   label="";
 }
}

//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cdorder_e : dialog
{
 label = "CDORDER - color draworder";
 : boxed_row {
     : list_box {
       width=14;
       key="color_list";
     }
   : column {
     : image {
       key ="color_image";
       aspect_ratio = 1;
       height = 4;
       width = 7;
       color = -15;
     }
     spacer;
     spacer;
     : button {
        fixed_width=true;
        width=17;
        label= "Move &Up";
        key="up";
      }
     : button {
        fixed_width=true;
        width=17;
        key="down";
        label= "Move &Down";
      }
     spacer;
     spacer;
   } // column
   : column {
     : radio_column {
       label="Re-ordering method";
       : radio_button {
         label ="Draworder";
         key="draworder";
       }
       : radio_button {
         label ="Handles";
         key="handles";
       }
     }
     spacer;
     : radio_column {
       label="Draworder location";
       key="location";
       : radio_button {
         label ="Front";
         key="front";
       }
       : radio_button {
         label ="Back";
         key="back";
       }
     }
     spacer;
     : toggle {
       label="Modify blocks";
       key="blocks";
     }
     spacer;
   } 
 } 
 : row
 {
     spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Cancel";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Help";
     }
     spacer;
 } 
 : text_part
 {
   key="error";
   label="";
 }
}

//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


lman_e : dialog {
  label = "Layer Manager: Save and Restore Layer Settings";
  key= "lman";
  : boxed_row {
    label = "Saved Layer states:";
    : list_box {
      label = "Saved Layer states:";
      mnemonic = "L";
      width = 42;
      tabs = "34";
      key = "list_states";
      tab_truncate = true;
    }
    : column {
      : button {
        label = "Save...";
        mnemonic = "S";
        key = "saveas";
      }
      : button {
        label = "Edit...";
        mnemonic = "B";
        key = "edit";
      }
      : button {
        label = "Rename...";
        mnemonic = "U";
        key = "rename";
      }
      : button {
        label = "Delete";
        mnemonic = "L";
        key = "delete";
      }
      : button {
        label = "Import...";
        mnemonic = "I";
        key = "import";
      }
      : button {
        label = "eXport...";
        mnemonic = "X";
        key = "export";
      }
      : button {
        label = "Options...";
        mnemonic = "O";
        key = "options";
      }
    }
  } 
  : text_part
  { label = "          ";
    key   = "msg";
  }
  : row {
    spacer;
    : button {
      label = "Restore";
      width=14;
      fixed_width=true;
      mnemonic = "W";
      key = "restore";
    }
    : button {
      label = "Close";
      fixed_width=true;
      width=14;
      mnemonic = "c";
      key = "close";
      is_cancel =true;
    }
    : button {
      fixed_width=true;
      width=14;
      key="help";
       label= "&Help";
      is_help=true;
    }
    spacer;
  }
}

new_lman_e : dialog {
  label = "Layer state name";
  : text_part {
    key = "new_msg";
    value = "";
    width = 32;
  }
  : edit_box {
    key = "new_name";
    value = "";
    fixed_width=true;
    width = 32;
    edit_limit=256;
  }
  : row {
    spacer;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer;
    : button {
      label = "Cancel";
      fixed_width=true;
      width=10;
      mnemonic = "c";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
}

warning_e : dialog {
  label = "* Warning! *";
  spacer;
  : column {
    : text_part {
      key = "warn_msg";
      value = "";
      width = 42;
    }
    : text_part {
      key = "warn_msg2";
      value = "";
      width = 42;
    }
  }
  spacer;
  : row {
    spacer;
    : button {
      label = "Yes";
      width=10;
      fixed_width=true;
      mnemonic = "J";
      key = "accept";
    }
    spacer;
    : button {
      label = "No";
      fixed_width=true;
      width=10;
      mnemonic = "N";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
}

lmanmode_e : dialog
{
  label = "Layer Manager: Restore Options";
  : boxed_column {
    label="Select properties to restore:";
    : toggle {
      label = "ON/OFF status";
      key = "onoff";
      mnemonic = "E";
      fixed_width = true;
    }
    : toggle {
      label = "Thaw/Freeze status";
      key = "thawfreeze";
      mnemonic = "t";
      fixed_width = true;
    }
    : toggle {
      label = "Thaw/Freeze in current Viewport status";
      key = "vpthawfreeze";
      mnemonic = "A";
      fixed_width = true;
    }
    : toggle {
      label = "Locked/Unlocked status";
      key = "lock";
      mnemonic = "G";
      fixed_width = true;
    }
    : toggle {
      label = "Color status";
      key = "color";
      mnemonic = "F";
      fixed_width = true;
    }
    : toggle {
      label = "Linetype status";
      key = "linetype";
      mnemonic = "L";
      fixed_width = true;
    }
    : toggle {
      label = "Line&weight status";
      key = "lineweight";
      fixed_width = true;
    }
    : toggle {
      label = "&Plot status";
      key = "plot";
      fixed_width = true;
    }
    : toggle {
      label = "Plot&Style status";
      key = "plotstyle";
      fixed_width = true;
    }
    spacer;
  } 
  : row
  {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Cancel";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Help";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}

lman_rename_e : dialog {
  label = "Rename Layer state";
  : row {
    : text_part {
      key = "txt1";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed1";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } 
  : row {
    : text_part {
      key = "txt2";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed2";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } 
  : row {
    spacer;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer;
    : button {
      label = "Cancel";
      fixed_width=true;
      width=10;
      mnemonic = "C";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
  : text_part
  {
    key="error";
    label="";
  }

}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

lman_d : dialog {
  label = "Layer Manager: Layerzustnde sichern und wiederherstellen";
  key= "lman";
  : boxed_row {
    label = "Gespeicherte Layerzustnde:";
    : list_box {
      mnemonic = "L";
      width = 42;
      tabs = "34";
      key = "list_states";
      tab_truncate = true;
    }
    : column {
      : button {
        label = "Sichern...";
        mnemonic = "S";
        key = "saveas";
      }
      : button {
        label = "Bearbeiten...";
        mnemonic = "B";
        key = "edit";
      }
      : button {
        label = "Umbenennen...";
        mnemonic = "U";
        key = "rename";
      }
      : button {
        label = "Lschen";
        mnemonic = "L";
        key = "delete";
      }
      : button {
        label = "Import...";
        mnemonic = "I";
        key = "import";
      }
      : button {
        label = "Export...";
        mnemonic = "X";
        key = "export";
      }
      : button {
        label = "Optionen...";
        mnemonic = "O";
        key = "options";
      }
    }
  }
  : text_part
  { label = "          ";
    key   = "msg";
  }
  : row {
    spacer;
    : button {
      label = "Wiederherstellen";
      width=14;
      fixed_width=true;
      mnemonic = "W";
      key = "restore";
    }
    : button {
      label = "Schlieen";
      fixed_width=true;
      width=14;
      mnemonic = "c";
      key = "close";
      is_cancel =true;
    }
    : button {
      fixed_width=true;
      width=14;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
    spacer;
  }
}

new_lman_d : dialog {
  label = "Name fr Layerzustand";
  : text_part {
    key = "new_msg";
    value = "";
    width = 32;
  }
  : edit_box {
    key = "new_name";
    value = "";
    fixed_width=true;
    width = 32;
    edit_limit=256;
  }
  : row {
    spacer;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer;
    : button {
      label = "Abbruch";
      fixed_width=true;
      width=10;
      mnemonic = "c";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
}

warning_d : dialog {
  label = "* Warnung! *";
  spacer;
  : column {
    : text_part {
      key = "warn_msg";
      value = "";
      width = 42;
    }
    : text_part {
      key = "warn_msg2";
      value = "";
      width = 42;
    }
  }
  spacer;
  : row {
    spacer;
    : button {
      label = "Ja";
      width=10;
      fixed_width=true;
      mnemonic = "J";
      key = "accept";
    }
    spacer;
    : button {
      label = "Nein";
      fixed_width=true;
      width=10;
      mnemonic = "N";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
}

lmanmode_d : dialog
{
  label = "Layer Manager: Wiederherstellungs-Optionen";
  : boxed_column {
    label="Wiederherzustellende Optionen:";
    : toggle {
      label = "EIN/AUS";
      key = "onoff";
      mnemonic = "E";
      fixed_width = true;
    }
    : toggle {
      label = "Getaut/Gefroren";
      key = "thawfreeze";
      mnemonic = "t";
      fixed_width = true;
    }
    : toggle {
      label = "Getaut/Gefroren im aktuellen Ansichtsfenster";
      key = "vpthawfreeze";
      mnemonic = "A";
      fixed_width = true;
    }
    : toggle {
      label = "Gesperrt/Entsperrt";
      key = "lock";
      mnemonic = "G";
      fixed_width = true;
    }
    : toggle {
      label = "Farbe";
      key = "color";
      mnemonic = "F";
      fixed_width = true;
    }
    : toggle {
      label = "Linientyp";
      key = "linetype";
      mnemonic = "L";
      fixed_width = true;
    }
    : toggle {
      label = "Linie&nstrke";
      key = "lineweight";
      fixed_width = true;
    }
    : toggle {
      label = "&Plotten (ja/nein)";
      key = "plot";
      fixed_width = true;
    }
    : toggle {
      label = "Plot&stil";
      key = "plotstyle";
      fixed_width = true;
    }
    spacer;
  } 
  : row
  {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Abbruch";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
  } // row
  : text_part
  {
    key="error";
    label="";
  }
}

lman_rename_d : dialog {
  label = "Layerzustand umbenennen";
  : row {
    : text_part {
      key = "txt1";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed1";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } 
  : row {
    : text_part {
      key = "txt2";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed2";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } 
  : row {
    spacer;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer;
    : button {
      label = "Abbruch";
      fixed_width=true;
      width=10;
      mnemonic = "C";
      key = "cancel";
      is_cancel =true;
    }
    spacer;
  }
  : text_part
  {
    key="error";
    label="";
  }

}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


overkill_d : dialog {
  label = "OVERKILL - OBEREINIG (Zeichnungsobjekte bereinigen)";
  : boxed_row {
    label="Einstellungen fr den Objektvergleich";
     : column {
      : toggle {
        label = "Ignoriere LAYER";
        key = "layer";
        mnemonic = "L";
        fixed_width = true;
      }
      : toggle {
        label = "Ignoriere LINIENTYP";
        key = "linetype";
        mnemonic = "T";
        fixed_width = true;
      }
      : toggle {
        label = "Ignoriere FARBE";
        key = "color";
        mnemonic = "F";
        fixed_width = true;
      }
      : toggle {
        label = "Ignoriere LINIENSTRKE";
        key = "lineweight";
        mnemonic = "S";
        fixed_width = true;
      }
      : toggle {
        label = "Ignoriere PLOTSTIL";
        key = "plotstyle";
        mnemonic = "P";
        fixed_width = true;
      }
     }
      spacer;
      : edit_box {
      label="Toleranzwert fr den Vergleich:";
      fixed_width=true;
      key="fuz";
      width=15;
      edit_width=15;
      alignment=top;
      }
   }
   : boxed_column {
    label="Linien, Bgen und Polylinien";
      : toggle {
        label = "PLINIEN - Optimieren der Segmente innerhalb von Polylinien";
        key = "plines";
        mnemonic = "I";
      }
      : toggle {
        label = "BERDECKEN - Vergleiche sich teilweise berdeckende kollineare Objekte";
        key = "partial";
        mnemonic = "";
      }
      : toggle {
        label = "ENDE zu ENDE - Vergleiche kollineare Objekte mit gleichen Endpunkten";
        key = "endtoend";
        mnemonic = "E";
      }
   } 
  spacer;
  : row
  {
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    : button {
      fixed_width=true;
      width=13;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=13;
      is_cancel=true;
      key="cancel";
      label= "Abbruch";
    }
    : button {
      fixed_width=true;
      width=13;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
  } 
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,


overkill_e : dialog {
  label = "OVERKILL";
  : boxed_row {
    label="Object comparison settings";
     : column {
      : toggle {
        label = "Ignore LAYERS";
        key = "layer";
        mnemonic = "L";
        fixed_width = true;
      }
      : toggle {
        label = "Ignore LINETYPE";
        key = "linetype";
        mnemonic = "T";
        fixed_width = true;
      }
      : toggle {
        label = "Ignore COLOR";
        key = "color";
        mnemonic = "C";
        fixed_width = true;
      }
      : toggle {
        label = "Ignore LINEWEIGHT";
        key = "lineweight";
        mnemonic = "W";
        fixed_width = true;
      }
      : toggle {
        label = "Ignore PLOTSTYLE";
        key = "plotstyle";
        mnemonic = "P";
        fixed_width = true;
      }
     }
      spacer;
      : edit_box {
      label="Numeric fuzz";
      fixed_width=true;
      key="fuz";
      width=15;
      edit_width=15;
      alignment=top;
      }
   }
   : boxed_column {
    label="Lines, Arcs and Plines";
      : toggle {
        label = "PLINES - Optimize segments within plines";
        key = "plines";
        mnemonic = "P";
      }
      : toggle {
        label = "OVERLAP - Combine co-linear objects that partially overlap";
        key = "partial";
        mnemonic = "O";
      }
      : toggle {
        label = "END to END - Combine co-linear objects when aligned end to end";
        key = "endtoend";
        mnemonic = "E";
      }
   } 
  spacer;
  : row
  {
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    : button {
      fixed_width=true;
      width=13;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=13;
      is_cancel=true;
      key="cancel";
      label= "Cancel";
    }
    : button {
      fixed_width=true;
      width=13;
      key="help";
      label= "&Help";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,,


redirmode_d : dialog {
  label = "REDIRMODE - Neue Pfade";
  : boxed_column {
    label="Pfade suchen und ersetzen in: ";
    : toggle {
      label = "SHP-Dateien (Schriften und Symbole)";
      key = "styles";
      mnemonic = "S";
      fixed_width = true;
    }
    : toggle {
      label = "XRefs";
      key = "xrefs";
      mnemonic = "X";
      fixed_width = true;
    }
    : toggle {
      label = "Pixel- bzw. Rasterbilder";
      key = "images";
      mnemonic = "P";
      fixed_width = true;
    }
    : toggle {
      label = "RTexte (referenzierte Texte)";
      key = "rtext";
      mnemonic = "R";
      fixed_width = true;
    }
    spacer;
  }
  : row
  {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Abbrechen";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,,,

redirmode_e : dialog {
label = "REDIRMODE";
  : boxed_column {
    label="Find and Replace directories in: ";
    : toggle {
      label = "Styles and Shapes";
      key = "styles";
      mnemonic = "S";
      fixed_width = true;
    }
    : toggle {
      label = "Xrefs";
      key = "xrefs";
      mnemonic = "X";
      fixed_width = true;
    }
    : toggle {
      label = "Images";
      key = "images";
      mnemonic = "P";
      fixed_width = true;
    }
    : toggle {
      label = "Rtext";
      key = "rtext";
      mnemonic = "R";
      fixed_width = true;
    }
    spacer;
  }
  : row
  {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Cancel";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Help";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

sprhatch_d : dialog {
  label = "SuperHatch - Superschraffur";
  : column {
    : boxed_column {
      label="Mustertyp";
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="image";
        label="&Bild...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="block";
        label="B&lock...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="xref";
        label="&XRef zuordnen...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="wipeout";
        label="&Wipeout...";
      }
      spacer;
      spacer;
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="select";
        label= "&Vorhandenes Element <";
      }
    }
    spacer;
    : boxed_row {
      label = "Kurvenfehlertoleranz:";
      : edit_box {
        key = "clipitres";
        fixed_width=true;
        width=20;
      } 
    } 
    spacer;
  } 
  : row {
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Abbruch";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,

sprhatch_e : dialog {
  label = "SuperHatch";
  : column {
    : boxed_column {
   label="Pattern Type";
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="image";
      label="&Image...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="block";
        label="B&lock...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="xref";
      label="&Xref Attach...";
      }
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="wipeout";
        label="&Wipeout...";
      }
      spacer;
      spacer;
      : button {
        alignment=centered;
        fixed_width=true;
        width=22;
        key="select";
      label= "&Select existing <";
      }
    }
    spacer;
    : boxed_row {
    label = "Curve error tolerance:";
      : edit_box {
        key = "clipitres";
        fixed_width=true;
        width=20;
      }
    }
    spacer;
  }
  : row {
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Cancel";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Help";
      is_help=true;
    }
  }
  : text_part
  {
    key="error";
    label="";
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,


tblname_d : dialog {
 label = "";
 key="dlgTitle";
 : column {
   spacer;
  : text_part {
    key="msg";
    label="";
  }
  : boxed_column {
     fixed_width=true;
     width=50;
     : list_box {
        key="name_list";
     }
     : row {
       : button {
         fixed_width=true;
         width=5;
         key="pickit";
         label= "&Whlen<";
         alignment=left;
       }
       : edit_box {
         key="name";
         is_default=true;
         edit_limit=256;
         alignment=left;
         fixed_width=true;
         width=41;
       }
     }
      spacer;
  } 
  : row {
      spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Abbrechen";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Hilfe";
        is_help=true;
     }
      spacer;
  } 
  : text_part {
    key="error";
    label="";
  }
 }
}

//-------------------------------------------------------------------------
// Multiple select version
tblname_m_d : dialog {
 label = "";
 key="dlgTitle";
 : column {
   spacer;
  : text_part {
    key="msg";
    label="";
  }
  : boxed_column {
     fixed_width=true;
     width=50;
     : list_box {
        key="name_list";
        multiple_select=true;
     }
     : row {
       : button {
         fixed_width=true;
         width=5;
         key="pickit";
         label= "&Whlen<";
         alignment=left;
       }
     } 
      spacer;
  }
  : row {
      spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Abbrechen";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Hilfe";
        is_help=true;
     }
      spacer;
  }
  : text_part {
    key="error";
    label="";
  }
 }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

tblname_e : dialog {
 label = "";
 key="dlgTitle";
 : column {
   spacer;
  : text_part {
    key="msg";
    label="";
  }
  : boxed_column {
     fixed_width=true;
     width=50;
     : list_box {
        key="name_list";
     }
     : row {
       : button {
         fixed_width=true;
         width=5;
         key="pickit";
         label= "&Pick<";
         alignment=left;
       }
       : edit_box {
         key="name";
         is_default=true;
         edit_limit=256;
         alignment=left;
         fixed_width=true;
         width=41;
       }
     } 
      spacer;
  } 
  : row {
      spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Cancel";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Help";
        is_help=true;
     }
      spacer;
  }
  : text_part
  {
    key="error";
    label="";
  }
 } // column
}

//-------------------------------------------------------------------------
// Multiple select version
tblname_m_e : dialog {
 label = "";
 key="dlgTitle";
 : column {
   spacer;
  : text_part {
    key="msg";
    label="";
  }
  : boxed_column {
     fixed_width=true;
     width=50;
     : list_box {
        key="name_list";
        multiple_select=true;
     }
     : row {
       : button {
         fixed_width=true;
         width=5;
         key="pickit";
         label= "&Pick<";
         alignment=left;
       }
     } 
      spacer;
  } 
  : row {
      spacer;
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        label= "Cancel";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        label= "&Help";
        is_help=true;
     }
      spacer;
  }
  : text_part {
    key="error";
    label="";
  }
 }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,,,,

tcase_d : dialog {
  label = "TCASE - Gro-/Kleinschreibung ndern";
  : boxed_column {
   : radio_column {
    : radio_button {
      label = "Nur der 1. Buchstabe GROSS";
      key = "sentence";
      mnemonic = "N";
    }
    : radio_button {
      label = "Alles in Kleinbuchstaben";
      key = "lower";
      mnemonic = "K";
    }
    : radio_button {
      label = "Alles in GROSSbuchstaben";
      key = "upper";
      mnemonic = "G";
      fixed_width = true;
    }
    : radio_button {
      label = "Der 1. Buchstabe bei jedem Wort GROSS";
      key = "title";
      mnemonic = "D";
      fixed_width = true;
    }
    : radio_button {
      label = "Die Gro-/Kleinschreibung tauschen";
      key = "toggle";
      mnemonic = "t";
      fixed_width = true;
    }
   }
  }
  spacer;
  : row {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Abbrechen";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      label= "&Hilfe";
      is_help=true;
    }
  } 
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

tcase_e : dialog {

  label = "TCASE - change text case";
  : boxed_column {
   : radio_column {
    : radio_button {
      label = "Sentence case.";
      key = "sentence";
      mnemonic = "S";
    }
    : radio_button {
      label = "lowercase";
      key = "lower";
      mnemonic = "L";
    }
    : radio_button {
     label = "UPPERCASE";
      key = "upper";
      mnemonic = "U";
      fixed_width = true;
    }
    : radio_button {
      label = "Title";
      key = "title";
      mnemonic = "T";
      fixed_width = true;
    }
    : radio_button {
      label = "tOGGLE cASE.";
      key = "toggle";
      mnemonic = "G";
      fixed_width = true;
    }
   }
  }
  spacer;
  : row {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      label= "Cancel";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
       label= "&Help";
      is_help=true;
    }
  }
}

//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

xlistblock_d : dialog {
  label = "XRef/Block: Eigenschaften des verschachtelten Blocks";
  : row {
    spacer;
    spacer;
    : column {
      : text {
        label = "Objekt:";
      }
      : text {
        label = "Blockname:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Farbe:";
      }
      : text {
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sBlockname";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlisttext_d : dialog {
  label = "XRef/Block: Eigenschaften des verschachtelten Texts";
  : row {
    spacer;
    spacer;
    : column {
      : text {
        label = "Objekt:";
      }
      : text {
        label = "Textstil:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Farbe:";
      }
      : text {
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sStyleName";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlist_d : dialog {
  label = "XRef/Block: Eigenschaften des verschachtelten Objekts";
  : row {
    spacer;
    spacer;
    : column {
      : text {
        label = "Objekt:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Farbe:";
      }
      : text {
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,

xlistblock_e : dialog {
label = "Xref/Block Nested Object List";
  : row {
    spacer;
    spacer;
    : column {
      : text {
      label = "Object:";
      }
      : text {
        label = "Block Name:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Color:";
      }
      : text {
        label = "Linetype:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sBlockname";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlisttext_e : dialog {
  label = "Xref/Block Nested Object List";
  : row {
    spacer;
    spacer;
    : column {
      : text {
        label = "Object:";
      }
      : text {
        label = "Style Name:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Color:";
      }
      : text {
        label = "Linetype:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sStyleName";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlist_e : dialog {
  label = "Xref/Block Nested Object List";
  : row {
    spacer;
    spacer;
    : column {
      : text {
        label = "Object:";
      }
      : text {
        label = "Layer:";
      }
      : text  {
        label = "Color:";
      }
      : text {
        label = "Linetype:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

bns_yes_no60_15_d : dialog {
  label = "";
  key = "title";
  width=60;
  height=15;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
    : text_part {
      label = "";
      key = "msg6";
    }
    : text_part {
      label = "";
      key = "msg7";
    }
  }
  : row {
     spacer;
     spacer;
     spacer;
    : button {
      label = " Ja ";
      mnemonic = "J";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
      label = " Nein ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
     spacer;
     spacer;
  }
}

bns_yes_no40_10 : dialog {
  label = "";
  key = "title";
  width=40;
  height=10;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
    : text_part {
      label = "";
      key = "msg6";
    }
    : text_part {
      label = "";
      key = "msg7";
    }
  }
  : row {
     spacer;
     spacer;
     spacer;
    : button {
      label = " Ja ";
      mnemonic = "J";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
      label = " Nein ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
     spacer;
     spacer;
  }
}

bns_yes_no20_5 : dialog {
  label = "";
  key = "title";
  width=20;
  height=5;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
  }
  : row {
     spacer;
    : button {
      label = " Ja ";
      mnemonic = "J";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
      label = " Nein ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,

bns_yes_no60_15_e : dialog {
  label = "";
  key = "title";
  width=60;
  height=15;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
    : text_part {
      label = "";
      key = "msg6";
    }
    : text_part {
      label = "";
      key = "msg7";
    }
  }
  : row {
     spacer;
     spacer;
     spacer;
    : button {}
    label = " Yes ";
    mnemonic = "Y";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
    label = " No  ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
     spacer;
     spacer;
  }
}

bns_yes_no40_10_e : dialog {
  label = "";
  key = "title";
  width=40;
  height=10;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
    : text_part {
      label = "";
      key = "msg6";
    }
    : text_part {
      label = "";
      key = "msg7";
    }
  }
  : row {
     spacer;
     spacer;
     spacer;
    : button {
    label = " Yes ";
    mnemonic = "Y";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
    label = " No  ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
     spacer;
     spacer;
  }
}

bns_yes_no20_5_e : dialog {
  label = "";
  key = "title";
  width=20;
  height=5;
  : column {
    : text_part {
      label = "";
      key = "msg0";
    }
    : text_part {
      label = "";
      key = "msg1";
    }
    : text_part {
      label = "";
      key = "msg2";
    }
    : text_part {
      label = "";
      key = "msg3";
    }
    : text_part {
      label = "";
      key = "msg4";
    }
    : text_part {
      label = "";
      key = "msg5";
    }
  }
  : row {
     spacer;
    : button {
    label = " Yes ";
    mnemonic = "Y";
      key = "accept";
      is_default=true;
      fixed_width=true;
      width=12;
    }
    : button {
    label = " No  ";
      mnemonic = "N";
      key = "cancel";
      is_cancel=true;
      fixed_width=true;
      width=12;
    }
     spacer;
  }
}
//;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;